Package com.oracle.truffle.api.utilities

## Class JSONHelper.JSONArrayBuilder

- java.lang.Object
- - com.oracle.truffle.api.utilities.JSONHelper.JSONStringBuilder
  - - com.oracle.truffle.api.utilities.JSONHelper.JSONArrayBuilder

Enclosing class:
  JSONHelper

    public static final class JSONHelper.JSONArrayBuilder
    extends JSONHelper.JSONStringBuilder

### Method Summary

All Methods Instance Methods Concrete Methods
`JSONHelper.JSONArrayBuilder` `add​(JSONHelper.JSONStringBuilder value)`
`JSONHelper.JSONArrayBuilder` `add​(java.lang.Boolean value)`
`JSONHelper.JSONArrayBuilder` `add​(java.lang.Number value)`
`JSONHelper.JSONArrayBuilder` `add​(java.lang.String value)`
`protected void` `appendTo​(java.lang.StringBuilder sb)`

### Methods inherited from class com.oracle.truffle.api.utilities.JSONHelper.JSONStringBuilder

`appendValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### add

    public JSONHelper.JSONArrayBuilder add​(java.lang.String value)

#### add

    public JSONHelper.JSONArrayBuilder add​(java.lang.Number value)

#### add

    public JSONHelper.JSONArrayBuilder add​(java.lang.Boolean value)

#### add

    public JSONHelper.JSONArrayBuilder add​(JSONHelper.JSONStringBuilder value)

#### appendTo

    protected void appendTo​(java.lang.StringBuilder sb)

Specified by:
  `appendTo` in class `JSONHelper.JSONStringBuilder`